# Class CIM_HostedAuthenticationRequirement
extends CIM_HostedDependency

CIM_HostedAuthenticationRequirement is an association used to provide the namespace scoping of AuthenticationRequirement. The hosted requirements may or may not apply to resources on the hosting system. Since the AuthenticationRequirement class is deprecated in lieu of explicit policy rules, this class is similarly deprecated to its 'policy' equivalent.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedAuthenticationRequirement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_PolicyRuleInSystem
Description | string | CIM_HostedAuthenticationRequirement is an association used to provide the namespace scoping of AuthenticationRequirement. The hosted requirements may or may not apply to resources on the hosting system. Since the AuthenticationRequirement class is deprecated in lieu of explicit policy rules, this class is similarly deprecated to its 'policy' equivalent.
UMLPackagePath | string | CIM::User::AuthenticationReqmt
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedAuthenticationRequirement | CIM_System
Dependent | CIM_HostedAuthenticationRequirement | CIM_AuthenticationRequirement

## Class Methods